diff -Nru opencv-4.8.0-orig/3rdparty/carotene/src/phase.cpp opencv-4.8.0-patched/3rdparty/carotene/src/phase.cpp
--- opencv-4.8.0-orig/3rdparty/carotene/src/phase.cpp	2023-06-28 07:53:33.000000000 -0400
+++ opencv-4.8.0-patched/3rdparty/carotene/src/phase.cpp	2023-09-26 14:08:04.050012729 -0400
@@ -38,6 +38,7 @@
  */
 
 #include <cfloat>
+#define _USE_MATH_DEFINES
 #include <cmath>
 
 #include "common.hpp"
diff -Nru opencv-4.8.0-orig/cmake/checks/cpu_neon.cpp opencv-4.8.0-patched/cmake/checks/cpu_neon.cpp
--- opencv-4.8.0-orig/cmake/checks/cpu_neon.cpp	2023-06-28 07:53:33.000000000 -0400
+++ opencv-4.8.0-patched/cmake/checks/cpu_neon.cpp	2023-09-26 14:00:01.874009400 -0400
@@ -1,6 +1,6 @@
 #include <stdio.h>
 
-#if defined _WIN32 && (defined(_M_ARM) || defined(_M_ARM64))
+#if defined _WIN32 && (defined(_M_ARM) || defined(_M_ARM64)) && !defined(__clang__)
 # define _ARM64_DISTINCT_NEON_TYPES
 # include <Intrin.h>
 # include <arm_neon.h>
diff -Nru opencv-4.8.0-orig/modules/core/include/opencv2/core/cv_cpu_dispatch.h opencv-4.8.0-patched/modules/core/include/opencv2/core/cv_cpu_dispatch.h
--- opencv-4.8.0-orig/modules/core/include/opencv2/core/cv_cpu_dispatch.h	2023-06-28 07:53:33.000000000 -0400
+++ opencv-4.8.0-patched/modules/core/include/opencv2/core/cv_cpu_dispatch.h	2023-09-26 14:17:30.218179356 -0400
@@ -137,7 +137,7 @@
 #  define CV_FMA3 1
 #endif
 
-#if defined _WIN32 && (defined(_M_ARM) || defined(_M_ARM64)) && (defined(CV_CPU_COMPILE_NEON) || !defined(_MSC_VER))
+#if defined _WIN32 && !defined(__clang__) && (defined(_M_ARM) || defined(_M_ARM64)) && (defined(CV_CPU_COMPILE_NEON) || !defined(_MSC_VER)) 
 # include <Intrin.h>
 # include <arm_neon.h>
 # define CV_NEON 1
@@ -220,7 +220,7 @@
 #  define CV_MMX 1
 #  define CV_SSE 1
 #  define CV_SSE2 1
-#elif defined _WIN32 && (defined(_M_ARM) || defined(_M_ARM64)) && (defined(CV_CPU_COMPILE_NEON) || !defined(_MSC_VER))
+#elif defined _WIN32 && !defined(__clang__) && (defined(_M_ARM) || defined(_M_ARM64)) && (defined(CV_CPU_COMPILE_NEON) || !defined(_MSC_VER))
 # include <Intrin.h>
 # include <arm_neon.h>
 # define CV_NEON 1
diff -Nru opencv-4.8.0-orig/modules/flann/include/opencv2/flann/dist.h opencv-4.8.0-patched/modules/flann/include/opencv2/flann/dist.h
--- opencv-4.8.0-orig/modules/flann/include/opencv2/flann/dist.h	2023-06-28 07:53:33.000000000 -0400
+++ opencv-4.8.0-patched/modules/flann/include/opencv2/flann/dist.h	2023-09-26 14:23:10.274313024 -0400
@@ -45,7 +45,7 @@
 
 #include "defines.h"
 
-#if defined _WIN32 && (defined(_M_ARM) || defined(_M_ARM64))
+#if defined _WIN32 && !defined(__clang__) && (defined(_M_ARM) || defined(_M_ARM64))
 # include <Intrin.h>
 #endif
 
